Bug 5802 - segfault: man -k "two words"
: segfault: man -k "two words"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-30 20:41 by
Modified: 2008-08-23 03:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-30 20:41:43
два слова в кавычках, после параметра -k приводят к 

$ man -k "two words"
sh: line 1: /unsafe/: No such file or directory
Error executing formatting or display command.
System command /unsafe/ exited with status 32512.
Segmentation fault

Steps to Reproduce:
1. man -k "two words"
2.
3.
------- Comment #1 From 2005-03-01 16:39:40 -------
Да, действительно..
------- Comment #2 From 2005-06-03 00:28:42 -------
Fixed in 1.5m2-alt3.
------- Comment #3 From 2005-09-19 11:59:08 -------
(In reply to comment #2)
> Fixed in 1.5m2-alt3.

genix@horohorin ~ $ man -k "two words"
sh: line 1: /unsafe/: No such file or directory
Error executing formatting or display command.
System command /unsafe/ exited with status 32512.
------- Comment #4 From 2005-09-19 13:40:42 -------
Так и должно быть.
------- Comment #5 From 2005-09-19 18:48:40 -------
Что-то диагностика совсем никакая.
------- Comment #6 From 2005-09-19 19:20:04 -------
unsafe оно и есть unsafe.
------- Comment #7 From 2005-09-19 20:05:36 -------
(In reply to comment #6)
> unsafe оно и есть unsafe.
Не понимаю.